Subject: Re: bug#77326: [PATCH] Add symbol-mode

From: Gabriel Santos <[email-masked]>
Date: Sat, 05 Apr 2025 14:15:16 -0300

>How is it different from `superword-mode`?

I looked into `subword-mode`, but not `superword-mode`
(because I often used the former).

I tried it out and it seems to do most things here
(upcasing, lowercasing, transposing, forward, backward...).

The major difference I found is that the superword commands
don't appear as separate commands
(M-f appears as "forward-word" in the lossage despite
going forward a
symbol), because it modifies the word boundaries, while I defined specific symbol commands, that
couls be used separate from the mode.

-- 
Gabriel Santos